<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- jsextension-temporarydir.qdoc -->
  <title>TemporaryDir Service | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td><td >TemporaryDir Service</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#available-operations">Available Operations</a></li>
<li class="level2"><a href="#constructor">Constructor</a></li>
<li class="level2"><a href="#isvalid">isValid</a></li>
<li class="level2"><a href="#path">path</a></li>
<li class="level2"><a href="#remove">remove</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">TemporaryDir Service</h1>
<span class="subtitle"></span>
<!-- $$$jsextension-temporarydir.html-description -->
<div class="descr"> <a name="details"></a>
<p>The <code>TemporaryDir</code> service creates a unique directory for temporary use.</p>
<a name="available-operations"></a>
<h2 id="available-operations">Available Operations</h2>
<a name="constructor"></a>
<h3 id="constructor">Constructor</h3>
<pre class="cpp">

  TemporaryDir()

</pre>
<p>Allocates and returns a new TemporaryDir object. This method creates the temporary directory.</p>
<a name="isvalid"></a>
<h3 id="isvalid">isValid</h3>
<pre class="cpp">

  isValid(): boolean

</pre>
<p>Returns <code>true</code> if the temporary directory was created successfully.</p>
<a name="path"></a>
<h3 id="path">path</h3>
<pre class="cpp">

  path(): string

</pre>
<p>Returns the path to the temporary directory. Empty if the temporary directory could not be created.</p>
<a name="remove"></a>
<h3 id="remove">remove</h3>
<pre class="cpp">

  remove(): boolean

</pre>
<p>Removes the temporary directory, including all its contents. Returns <code>true</code> if removing was successful. It is recommended to always call this function as soon as you are finished with the temporary directory. The directory will not be removed automatically.</p>
</div>
<!-- @@@jsextension-temporarydir.html -->
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
